Summary:	Microcontrollers simulator
Summary(pl.UTF-8):	Symulator mikrokontrolerów
Name:		ucsim
Version:	0.8.6
Release:	1
Epoch:		1
License:	GPL v2+
Group:		Applications/Emulators
#Source0Download: https://github.com/danieldrotos/ucsim/releases
Source0:	https://github.com/danieldrotos/ucsim/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	9c907cb140c2482d542dadb5d36436ff
URL:		https://www.ucsim.hu/
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	ncurses-ext-devel >= 5.2
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
uCsim can be used to simulate microcontrollers. It supports Intel
MCS51 family, 8080, 8085, XA, Z80, Rabbit, SM83, TLCS90, ST7, STM8,
PDK, MC6800, M68HC08, MC6809, M68HC11, M68HC12, MOS6502, PicoBlaze,
F8, p1516/p2223 and some AVR processors.

%description -l pl.UTF-8
uCsim służy do symulowania mikrokontrolerów. Obsługuje rodzinę
procesorów Intel MCS51, 8080, 8085, XA, Z80, Rabbit, SM83, TLCS90,
ST7, STM8, PDK, MC6800, M68HC08, MC6809, M68HC11, M68HC12, MOS6502,
PicoBlaze, F8, p1516/p2223 i niektóre procesory AVR.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
%configure \
	STRIP=/bin/true
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C src/apps/serio.src local_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C src/apps/ucsim.src local_install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/ucsim

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README.md docs/{stm8,*.html,*.jpg,*.png,*.svg,*.txt}
%attr(755,root,root) %{_bindir}/s51
%attr(755,root,root) %{_bindir}/serialview
%attr(755,root,root) %{_bindir}/ucsim
%attr(755,root,root) %{_bindir}/ucsim_*
%{_mandir}/man1/ucsim.1*
%{_mandir}/man1/serialview.1*
%changelog
* Thu May 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ucsim.git;a=log;h=master

* Thu May 30 2024 Jakub Bogusz <qboosh@pld-linux.org> 4dedec5
- new URLs, updated to 0.8.6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3bc10f7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0449a13
- converted to UTF-8

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> aa00e73
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 3ff866f
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> c8909db
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Jul 05 2002 marcus <marcus@pld-linux.org> 97b4235
- really added fix for ppc

* Fri Jul 05 2002 marcus <marcus@pld-linux.org> 0d1c5c1
- fixed building on ppc
- use new %%doc
- rel.2.

* Fri Jul 05 2002 marcus <marcus@pld-linux.org> 1bd9009
- addedd including sys/types.h to newcmdcl.h

* Wed May 22 2002 kloczek <kloczek@pld-linux.org> 557cb66
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> e2eb605
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> e07812c
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Tue Jul 03 2001 kloczek <kloczek@pld-linux.org> bec26ec
- removed redundant BuildRequires for ncurses-ext.

* Tue Jul 03 2001 bszx <bszx@pld-linux.org> 6f2ed81
- updated to version 0.3.1

* Wed Apr 04 2001 kloczek <kloczek@pld-linux.org> 1df0836
- cosmetics.

* Thu Mar 29 2001 Arkadiusz Miśkiewicz <arekm@maven.pl> e626d42
- fixed

* Thu Mar 29 2001 Arkadiusz Miśkiewicz <arekm@maven.pl> 54b9d59
- should be ok now

* Mon Feb 19 2001 Arkadiusz Miśkiewicz <arekm@maven.pl> 906c41f
- 2aaa41b3cbf751154ee17b61931564b3  ucsim-0.2.38.tar.gz

* Mon Feb 19 2001 Arkadiusz Miśkiewicz <arekm@maven.pl> 152035b
- new. 8051 simmulator

